> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lemlist.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieves a specific contact by their ID or email address.

# Get Contact

export const SnippetObjectReference = ({objectName, objectPath = null}) => {
  const lowerCaseObjectName = objectName.toLowerCase();
  if (lowerCaseObjectName === 'lead' || lowerCaseObjectName === 'leads') {
    return <Note>
        This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>. Make sure to also check the <a href={`/api-reference/objects-definitions/${lowerCaseObjectName === 'lead' ? 'contact' : 'lead'}`}>{lowerCaseObjectName === 'lead' ? 'Contact' : 'Lead'} object</a> to understand the distinction between the two.
      </Note>;
  }
  return <Note>
      This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>.
    </Note>;
};

<SnippetObjectReference objectName="Contact" objectPath="contact" />


## OpenAPI

````yaml get /contacts/{idOrEmail}
openapi: 3.0.0
info:
  title: lemlist API
  version: 1.0.0
  description: >-
    Welcome to the lemlist Developer Documentation.


    lemlist is very customizable and open. You'll find on this page all the API
    and integration you can do with lemlist.


    # Rate Limit


    lemlist's API rate limits requests in order to prevent abuse and overload of
    our services.  

    Rate limits are applied on all routes and per API key performing the
    request.  

    The rate limits are **20** requests per **2** seconds.  

    The response provides any information you may need about it:


    | Header | Description |

    | --- | --- |

    | Retry-After | The number of seconds in which you can retry |

    | X-RateLimit-Limit | The maximum requests in that time |

    | X-RateLimit-Remaining | The number of remaining requests you can make |

    | X-RateLimit-Reset | The date when the rate limit will reset |


    _Example of values for the rate limit headers_


    ``` json

    {
        "Retry-After": 2,
        "X-RateLimit-Limit": 20,
        "X-RateLimit-Remaining": 7,
        "X-RateLimit-Reset" : "Tue Feb 16 2021 09:02:42 GMT+0100 (Central European Standard Time)"
    }

     ```

    # Definitions


    ## Team


    A team is the entity of lemlist that can handle users and billing.


    ## Credits


    Credits are the coins a team uses to enrich emails, LinkedIn URLs, etc. via
    the enrich route. Each enrichment feature needs a certain amount of credits
    to run.


    ## User


    You use a user account to connect to lemlist and send messages via the
    connected emails or LinkedIn account.


    ## Campaign


    A campaign is the entity to automate outreach. A campaign has multiple
    sequences composed of steps.


    ## Lead


    A lead is a person that you try to contact via a campaign.


    ## Activity


    An activity is the history of all the steps.


    ## Unsubscribe


    An unsubscribe occurs when a person decides they don't want to receive
    emails from you anymore.


    # Authentication


    All API routes use the dedicated subdomain `api.lemlist.com`.


    lemlist uses API keys to allow access to the API. You can get your lemlist
    API key at our [integration
    page](https://app.lemlist.com/settings/integrations).


    You need to add the `Authorization` header using the `Basic` authentication
    type. `login:password` **where the login is always empty and the password is
    the API key**.


    ⚠️ **Don't forget to add the semicolon (**`:`**) before your API key in curl
    command.**


    > To authorize, use this code: 
      

    ``` shell

    curl https://api.lemlist.com/api/team \
      --user ":YourApiKey"

     ```

    **Make sure to replace** **`YourApiKey`** **with your API key.**


    # Give feedback


    If you want to report a bug, ask for data, or share with us a use case,
    please fill this [form](https://lemlist.typeform.com/to/mfVlkyGf). It will
    help us centralize your needs!
servers:
  - url: https://api.lemlist.com/api
security:
  - basicAuth: []
paths:
  /contacts/{idOrEmail}:
    parameters:
      - name: idOrEmail
        in: path
        required: true
        description: The unique identifier or email of the contact
        example: ctc_XXBXpAxmxwg24IzBI
        schema:
          type: string
    get:
      tags:
        - Contacts
      summary: Get Contact
      parameters: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Contact'
              example:
                _id: ctc_xW8Ou6C03Csv8vatp
                teamId: tea_8QvkOiBfPdb2ZRhHi
                fullName: John Doe
                email: support@lemlist.com
                fields:
                  firstName: John
                  jobTitle: Growth Engineer
                  lastName: Doe
                  industry: Technology
                  isActiveInCampaigns: false
                  lastCampaign: NEW TO DELETE
                  lastLeadMarkedAsInterestedDate: '2025-10-28T02:12:31.971Z'
                  leadStatus: Marked as not Interested by api
                campaigns:
                  - campaignId: cam_bSn8EORHQxbWPjHvu
                    campaignState: running
                    leadState: review
                    leadId: lea_fiDpiGV585wy3Oii2
                ownerId: usr_ahfFktBBHUIxbVG5P
                createdAt: '2025-10-28T00:40:37.917Z'
                createdBy: usr_ahfFktBBHUIxbVG5P
                unsubscribed: false
        '400':
          description: Bad team
          content:
            text/plain:
              example: Bad team
        '401':
          description: The authentication you supplied is incorrect
          content:
            text/plain:
              example: The authentication you supplied is incorrect
        '405':
          description: Method not allowed
components:
  schemas:
    Contact:
      type: object
      description: >-
        A contact record in your CRM. Not to be confused with a lead which is a
        contact specifically added to a campaign.
      properties:
        _id:
          type: string
          description: Unique contact identifier
        teamId:
          type: string
          description: Team identifier the contact belongs to
        fullName:
          type: string
          description: Contact's calculated full name
        email:
          type: string
          format: email
          description: Contact's primary email address
        fields:
          type: object
          description: Custom fields associated with the contact
          additionalProperties: true
        campaigns:
          type: array
          description: List of campaigns the contact is associated with
          items:
            type: object
            properties:
              campaignId:
                type: string
              campaignState:
                type: string
              leadState:
                type: string
              leadId:
                type: string
        ownerId:
          type: string
          description: ID of the user who owns this contact
        createdAt:
          type: string
          format: date-time
          description: Contact creation timestamp
        createdBy:
          type: string
          description: ID of the user who created the contact
        unsubscribed:
          type: boolean
          description: >-
            Whether the contact is globally unsubscribed. When true, no outreach
            will be sent to this contact.
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````